<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="group">
    <name>main</name>
    <title>Main classes</title>
    <filename>group__main.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
    <class kind="class">KSettings::Dialog</class>
  </compound>
  <compound kind="group">
    <name>internal</name>
    <title>Internal classes</title>
    <filename>group__internal.html</filename>
  </compound>
  <compound kind="group">
    <name>findreplace</name>
    <title>Find and Replace classes</title>
    <filename>group__findreplace.html</filename>
    <class kind="class">KFind</class>
    <class kind="class">KFindDialog</class>
    <class kind="class">KReplace</class>
    <class kind="class">KReplaceDialog</class>
  </compound>
  <compound kind="group">
    <name>plugin</name>
    <title>Plugin handling classes</title>
    <filename>group__plugin.html</filename>
    <class kind="class">KPluginInfo</class>
    <class kind="class">KPluginSelector</class>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>settings</name>
    <title>Settings UI classes</title>
    <filename>group__settings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
  </compound>
  <compound kind="group">
    <name>kcmodule</name>
    <title>KControl module classes</title>
    <filename>group__kcmodule.html</filename>
    <class kind="class">KCModuleContainer</class>
    <class kind="class">KCModuleInfo</class>
    <class kind="class">KCModuleLoader</class>
    <class kind="class">KCModuleProxy</class>
    <class kind="class">KCModuleProxyIface</class>
    <class kind="class">KCModuleProxyRootDispatcher</class>
    <class kind="class">KCMultiDialog</class>
    <member kind="define">
      <type>#define</type>
      <name>KCMODULECONTAINER</name>
      <anchorfile>group__kcmodule.html</anchorfile>
      <anchor>g198a02c84f003f5d411d19c1732e9663</anchor>
      <arglist>(modules, factoryName)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>multitabbar</name>
    <title>KMultiTabBar related classes</title>
    <filename>group__multitabbar.html</filename>
    <class kind="class">KMultiTabBar</class>
    <class kind="class">KMultiTabBarButton</class>
    <class kind="class">KMultiTabBarTab</class>
  </compound>
  <compound kind="class">
    <name>KCModuleContainer</name>
    <filename>classKCModuleContainer.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>0824bf4a4a9f2380bc13c18b6be29b4b</anchor>
      <arglist>(QWidget *parent, const char *name, const QStringList &amp;mods)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>8a03dfc28c557a441dd404d19271ab58</anchor>
      <arglist>(QWidget *parent, const char *name, const QString &amp;mods=QString())</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>50fc20cf317d3afc0bc6a9b233872ddb</anchor>
      <arglist>(const QString &amp;module)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCModuleContainer</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>5a5144367ebf69fc71185ac0ad5c449c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>56d6c4cb9e8fa663bd410a5541c5b154</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>d433316b9ade72df20279088b7d28d10</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>4c5aa1d18e9782ac50dc9ae7ec32467a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="typedef" protection="protected">
      <type>QValueList&lt; KCModuleProxy * &gt;</type>
      <name>ModuleList</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>7f06d2572725743a9f5e586723a544ee</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>finalize</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>64a6e4876266e9642d0d5594f084d0fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>changedModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>afec70d11c6f5084152cd2ed95df72e9</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>ModuleList</type>
      <name>allModules</name>
      <anchorfile>classKCModuleContainer.html</anchorfile>
      <anchor>38c99114e05f6756e3a7540faba87baf</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleInfo</name>
    <filename>classKCModuleInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>06e47e874ca71ae67410ab187a50c329</anchor>
      <arglist>(const QString &amp;desktopFile)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>6bbfd3e46a5e9d5370d42d045ad6983e</anchor>
      <arglist>(KService::Ptr moduleInfo)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>9b45eb7fd099828aa61ddc50aa3096d8</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>913a81db2a7ba8b61b459a610e0522ea</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KCModuleInfo &amp;</type>
      <name>operator=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>3f3c6735063831897c78409c1e13ebb2</anchor>
      <arglist>(const KCModuleInfo &amp;rhs)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator==</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>350ea2f78190ce4eee03e902757c782e</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator!=</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>ccb333914c4cc08bfc74d3fce6c38f8c</anchor>
      <arglist>(const KCModuleInfo &amp;rhs) const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleInfo</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>bd613954997b49445fac087e644aa0f7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>fileName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>882bf7ada12c65019b94a6b819503852</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>keywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>a7bfe6669ab621859c92e4ff555e8eb9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>factoryName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>12ea46254db2f49c9479a95a4df233ae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>moduleName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>f1093da508a03b80f135412e0e74b9c5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>13b7f548bd932856fde831187e01e0d8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>comment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>dc5680e3d123a1dd7ab9e922964269ea</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>icon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>7fd1a8151ff4beb71ebebb81eaba033c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>docPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>3ca70a3feddda4239c65283daf2711e5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>library</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>45d6bca4dd35329543c231269f7ea925</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>handle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>9f1adc11fbbfbf16f23ec9815d27c97a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>weight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>62f7bd71d02e18bcc50f4de551d41a65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>39be5f3d712f102a80ff4404aace0860</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>4c3d7939282a83458c997402abce840b</anchor>
      <arglist>() const KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>f449f4727b996edb99b2c8194f9a401b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setKeywords</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>dfbc252d14763c77bfab926791b3c071</anchor>
      <arglist>(const QStringList &amp;keyword)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setName</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>798fcd607a64101c3f2e5df024c0f5ba</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setComment</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>307a3edc446d16900b0496094146d702</anchor>
      <arglist>(const QString &amp;comment)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIcon</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>94d9eee830e3d204c00dd2b543a9594d</anchor>
      <arglist>(const QString &amp;icon)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLibrary</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>eaf3c43d36d0f06d61e5996939b6c469</anchor>
      <arglist>(const QString &amp;lib)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setHandle</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>077bff81614e03e01c967612dddca88a</anchor>
      <arglist>(const QString &amp;handle)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setWeight</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>91b0bec152d36fa8ab5f8fa130e11a2a</anchor>
      <arglist>(int weight)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsTest</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>df6717cc887bb16f7aa2b9582736c3d0</anchor>
      <arglist>(bool val)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setNeedsRootPrivileges</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>0061546f823c0c7df48dff904024b897</anchor>
      <arglist>(bool needsRootPrivileges)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setIsHiddenByDefault</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>053559998163e89e8ffc655cb601d6f8</anchor>
      <arglist>(bool isHiddenByDefault)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDocPath</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b85acd82bf3a095dbb2d0c179464adb8</anchor>
      <arglist>(const QString &amp;p)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>loadAll</name>
      <anchorfile>classKCModuleInfo.html</anchorfile>
      <anchor>b93c841d23c19456d9303942b06df1c1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleLoader</name>
    <filename>classKCModuleLoader.html</filename>
    <member kind="enumeration">
      <name>ErrorReporting</name>
      <anchor>8eb7d78af53beeb744f827b1580ca4e8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>None</name>
      <anchor>8eb7d78af53beeb744f827b1580ca4e8483967765d4ca8b5cbaabf660053371f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Inline</name>
      <anchor>8eb7d78af53beeb744f827b1580ca4e8a9acd7b7a204b6fc1b55f3255cd7c2bd</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Dialog</name>
      <anchor>8eb7d78af53beeb744f827b1580ca4e800fefeaca292235593d6320062b8c3d3</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Both</name>
      <anchor>8eb7d78af53beeb744f827b1580ca4e8d60807f78d6c11b6037203ac1a319c8f</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>9f7acf3d2012ac13ec66087ba04df887</anchor>
      <arglist>(const KCModuleInfo &amp;module, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>8e2e143531ff9ebc99655d1dfd249712</anchor>
      <arglist>(const QString &amp;module, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList()) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>161d357609d9ec1c5b57f8bc2b5fb3dc</anchor>
      <arglist>(const KCModuleInfo &amp;module, ErrorReporting report, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>loadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>751e6ece953a4e34af01061436bbf5f6</anchor>
      <arglist>(const QString &amp;module, ErrorReporting report, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>unloadModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>e2046a25acfde9214f2b15624ca5f3a9</anchor>
      <arglist>(const KCModuleInfo &amp;mod)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>showLastLoaderError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>d6c75ff64f38e4995fd2c15d5def82f6</anchor>
      <arglist>(QWidget *parent) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>b0ec43b173f8bebefcbf4e0b3da629cc</anchor>
      <arglist>(const QString &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>testModule</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>5bdf00b840dd6efde9653ff2c7cbed99</anchor>
      <arglist>(const KCModuleInfo &amp;module)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KCModule *</type>
      <name>reportError</name>
      <anchorfile>classKCModuleLoader.html</anchorfile>
      <anchor>7a1e5544fedda0d826fe393db54c33df</anchor>
      <arglist>(ErrorReporting report, const QString &amp;text, QString details, QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxy</name>
    <filename>classKCModuleProxy.html</filename>
    <base>QWidget</base>
    <member kind="slot">
      <type>void</type>
      <name>runAsRoot</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>235d3da0a6e160000be51b90c80d1815</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>301d7879334bacc963bab5761c3e5f12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteClient</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>4f93feb9fe0c7476fcc7b1e7b27aae5f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>e61a5a846feb6f0636f6e8ef338444e9</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>2f5325ea362b57e6b13c9117aff20f8f</anchor>
      <arglist>(KCModuleProxy *mod)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>childClosed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>6b171fcdf03efa106999fab9d0480c2b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>788fda56742c9bc5bddc9dbe097e3656</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>4da052178ee2cde3dc3aa9aec2a4866e</anchor>
      <arglist>(const KCModuleInfo &amp;info, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>e8f5af9c79597d7ac0a4e5d1fb2f1060</anchor>
      <arglist>(const QString &amp;serviceName, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>cf400b99b2b04f5bf931639cf920731d</anchor>
      <arglist>(const KService::Ptr &amp;service, bool withFallback=true, QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCModuleProxy</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>094c9725e5193fe32b2978123c7c10ce</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>067ed8a67dbe58867d61916f05293937</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>05511f0272bff818c3e13393357dcc4a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>50f5029b540b45492c17385b591bd09a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KAboutData *</type>
      <name>aboutData</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>cb574ae977eadca4891093bfad122b9e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>buttons</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>1e488244d8328c8ac0498d733d6425eb</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>rootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>e56c2e6133247efe0bad7e47f08c86bf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>useRootOnlyMsg</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>f9a17ff64ad1c61dc748d6e2497f621b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KInstance *</type>
      <name>instance</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>815c3d91b672594e7cb6d9f9b68b9af1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>5c2e88d11f21688c0bdf27b8325d214a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>rootMode</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>aafd1b7848d1ae1d928d80c74d13f9ef</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KCModule *</type>
      <name>realModule</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>acfc58200fc5c758f909ce02e6bdc983</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const KCModuleInfo &amp;</type>
      <name>moduleInfo</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>88b011d979b77fcaadd77ef330dac279</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>dcopName</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>2952744b3b0bf439a7e7f6f60e5dc1f2</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>showEvent</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>f118b772bf073de9bf90aad30d39249b</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>265b915ff1211ad81d9456a52d774e46</anchor>
      <arglist>(const KCModuleInfo &amp;info)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitQuickHelpChanged</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>dc975c493ef4f60237c9c008eeb83ecd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KCModuleProxyRootCommunicatorImpl</name>
      <anchorfile>classKCModuleProxy.html</anchorfile>
      <anchor>6092e1cbe105697b2f241b8b2a3aace2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyIface</name>
    <filename>classKCModuleProxyIface.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>applicationName</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>ea6dd3c76a1559d7826e59e87b292550</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>ba61d8a4959d7091a8822440587abddd</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>84bef36b3670bf8f4b07cfd8adcf8f92</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>277960430f32f968f9d03512f7992d8c</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>c2688d82745b45aec48d8ef7c58b7396</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>5264882a35091179aba345297562fda1</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="dcop" virtualness="virtual">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>c451d244bef99fe1fb2d1f35370bbdd4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>k_dcop_signals</type>
      <name>__pad0__</name>
      <anchorfile>classKCModuleProxyIface.html</anchorfile>
      <anchor>e89d793efb0703cbd18bfd7c7b24bf9e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyIfaceImpl</name>
    <filename>classKCModuleProxyIfaceImpl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KCModuleProxyIface</base>
    <member kind="slot">
      <type>void</type>
      <name>changedRelay</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>7569d01474d245b6c24ad1e8ffefd6f4</anchor>
      <arglist>(bool c)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>quickHelpRelay</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>356424818489ffb800b57e698cc888f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCModuleProxyIfaceImpl</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>5fbb5963f2b110d573db21c0823204c2</anchor>
      <arglist>(const QCString &amp;name, KCModuleProxy *const client)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>8b561b06cb6aeb73740f2f9f326ff336</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>d467806d477ca78c7cf4bb7817d43bae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>284456611e3b3bf2da877d7d9c2a79ff</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>applicationName</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>335b87fe81ab4e9f2fbd45a5b5fb1f85</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>quickHelp</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>10a5b4547a4ae00a1b7de9353f5561fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyIfaceImpl.html</anchorfile>
      <anchor>fc0865cc26b7c754619cc1fdb2675175</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyRootCommunicatorImpl</name>
    <filename>classKCModuleProxyRootCommunicatorImpl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">KCModuleProxyRootDispatcher</base>
    <member kind="function">
      <type></type>
      <name>KCModuleProxyRootCommunicatorImpl</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>889911897727830873d4c48b063d3d00</anchor>
      <arglist>(const QCString &amp;name, KCModuleProxy *const client)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>095c86f2b9a4e8d9a6dd00e817a1d895</anchor>
      <arglist>(bool c)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>a3fd495b8783f128ed41dc37bce4c53f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable">
      <type>KCModuleProxy *</type>
      <name>p</name>
      <anchorfile>classKCModuleProxyRootCommunicatorImpl.html</anchorfile>
      <anchor>751c5c8e0320f5734cbfe33c6173b8b4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCModuleProxyRootDispatcher</name>
    <filename>classKCModuleProxyRootDispatcher.html</filename>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>changed</name>
      <anchorfile>classKCModuleProxyRootDispatcher.html</anchorfile>
      <anchor>1c8956967e98ade2fea3c69d9d3b3b37</anchor>
      <arglist>(bool c)=0</arglist>
    </member>
    <member kind="dcop" virtualness="pure">
      <type>virtual void</type>
      <name>quickHelpChanged</name>
      <anchorfile>classKCModuleProxyRootDispatcher.html</anchorfile>
      <anchor>19abec093e47090e6dac2b9817b69548</anchor>
      <arglist>()=0</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCMultiDialog</name>
    <filename>classKCMultiDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>cd65a97e00a60441b0bd6caa6fc3f421</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>74c046a7b8eb990f83339cc833411942</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>887d7f0e40ffad3ef7ca0e66fc77ce5d</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>33318eb1a85ddf86339c19fa7838d916</anchor>
      <arglist>(int dialogFace, const QString &amp;caption, QWidget *parent=0, const char *name=0, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>7cb7f832dfd22dff3cede5d6acef0a71</anchor>
      <arglist>(int dialogFace, const KGuiItem &amp;user2, const KGuiItem &amp;user3=KGuiItem(), int buttonMask=User2, const QString &amp;caption=i18n(&quot;Configure&quot;), QWidget *parent=0, const char *name=0, bool modal=false) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KCMultiDialog</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>2dd3677a30d2da40200f4a4afbb0e422</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>3df1e828fdd1a3acb75e879845f68f7f</anchor>
      <arglist>(const QString &amp;module, bool withfallback=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addModule</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>28a40b5b4df33bac3fa69db0a7b3edfc</anchor>
      <arglist>(const KCModuleInfo &amp;moduleinfo, QStringList parentmodulenames=QStringList(), bool withfallback=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeAllModules</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>1c608822aef4b8d7e65fb3903f7f3ca8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>751df7cb50c27943df9ca2ec86362474</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>25709831a874da2f90f6fadae96f7552</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotUser1</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>1a281504b29c4d1c191d55074b86692c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>dbdb0eb694a21e6b1efd1f5687a0fb5a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>383d89b79f667941ce9781f0b14d15a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotHelp</name>
      <anchorfile>classKCMultiDialog.html</anchorfile>
      <anchor>600bdf559dac7252d2c5713ba9392af6</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFind</name>
    <filename>classKFind.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>Result</name>
      <anchor>2566db552f0b74f58ffa76740f8552fc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>NoMatch</name>
      <anchor>2566db552f0b74f58ffa76740f8552fc2e30ddafb110726e862b76a58840a23f</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Match</name>
      <anchor>2566db552f0b74f58ffa76740f8552fc4f0c7e3208e8df9e13fcd258c9986a53</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>ab1052eb3ec5f2da811664d63d180d77</anchor>
      <arglist>(const QString &amp;text, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>highlight</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>dc1f7f8e4b936fa062b3f80e198322a7</anchor>
      <arglist>(int id, int matchingIndex, int matchedLength)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>findNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>47f0a80f3eadda6f7824ee202e188e78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>optionsChanged</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>83de18e19346039efeac6cc94def0589</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>dialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>5123b7b27804aa4bcecc123692aca217</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>b85cd22feaadd13c721750f6252b9ab8</anchor>
      <arglist>(const QString &amp;pattern, long options, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>c41861409d0edd722d520962af16b364</anchor>
      <arglist>(const QString &amp;pattern, long options, QWidget *parent, QWidget *findDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFind</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>be45174026570480b475082da99a82e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>needData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>8c4d9606270ae99e5d2805587dfc8013</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>412a54807586cc688e06755f89f5e30b</anchor>
      <arglist>(const QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>91926bd5b2d980c8933202b320db232d</anchor>
      <arglist>(int id, const QString &amp;data, int startPos=-1)</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>05a7935a154d6a8037ff9a618c8f36df</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>077089eea66f96421e0ab2fb96cc6d73</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOptions</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>08ccdf70a9bd076c263895294de60cf1</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>41f08159e18e2b369deeda4874f554c1</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>3bb2ff63e9be60d720f7c9a1db3fb12b</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numMatches</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>8b64041a14f4e295f29e4fc46d42c1c0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>af2264cd61ec5dca21f400a544d2f825</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>validateMatch</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>38ecb8e86115c2dd7fa109cb42577461</anchor>
      <arglist>(const QString &amp;text, int index, int matchedlength)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>244240133a12dafa89fbe8d5eeafb8ce</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>bdeea9adefc4f1513f2d7c0d315b1556</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>findNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>711d4337da1374b21d93869d5bebe436</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeFindNextDialog</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>3f00cc8cead8937b635ba424752f41a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>index</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>79ee7b8691e33eeb5af8c7b432e51f2d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>8afaaecde1bc089685fb27d783695171</anchor>
      <arglist>(const QString &amp;text, const QString &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>find</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>26daf1f3c8a9297a978e7def167afe8d</anchor>
      <arglist>(const QString &amp;text, const QRegExp &amp;pattern, int index, long options, int *matchedlength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotFindNext</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>c362e35e54f85e0d7c3e5746e180cffe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDialogClosed</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>d1808cf7b9d9bbb46376c475a95a6cfd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>parentWidget</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>3458fe682bdfe8959980625f8f6ae4d8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QWidget *</type>
      <name>dialogsParent</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>cf53c730061b92c8a41a1cff01f41397</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplace</name>
      <anchorfile>classKFind.html</anchorfile>
      <anchor>4a40a4867c2b9b5c7045c39b14505123</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KFindDialog</name>
    <filename>classKFindDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchor>2714282b94cdc86e4068501ae12409d2</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>WholeWordsOnly</name>
      <anchor>2714282b94cdc86e4068501ae12409d296a5808ec10428b28fcc156f6a559216</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FromCursor</name>
      <anchor>2714282b94cdc86e4068501ae12409d234592080a1c78df6af753ab0f277f958</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>SelectedText</name>
      <anchor>2714282b94cdc86e4068501ae12409d204c8097beb16eece933f697862d9f403</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>CaseSensitive</name>
      <anchor>2714282b94cdc86e4068501ae12409d2cddaffe9ad29518e685c6848d4fddf50</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FindBackwards</name>
      <anchor>2714282b94cdc86e4068501ae12409d2993249e406e2aa84c3fed34d73208e48</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>RegularExpression</name>
      <anchor>2714282b94cdc86e4068501ae12409d2ccaa30ec0c404596a8b04d5b294a16d5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>FindIncremental</name>
      <anchor>2714282b94cdc86e4068501ae12409d20ac04e130424e9e5c5bced9e13918b3a</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>MinimumUserOption</name>
      <anchor>2714282b94cdc86e4068501ae12409d2c107c0b44aa3c0aa2e30bb55abb852cd</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>eb90819d05ad7b4f7912ce305456f6b5</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>fdca96d5eb8200cc308b82aca4625910</anchor>
      <arglist>(bool modal, QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), bool hasSelection=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KFindDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ead5f472412178f95af311c39ea21113</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFindHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>89c83f5a065e64ac8d412f96ccaedd59</anchor>
      <arglist>(const QStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>findHistory</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>3ae625fcdfd18c70b0988a1a4a040392</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasSelection</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>b48d21b55bcebd9341023e728ba6c670</anchor>
      <arglist>(bool hasSelection)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHasCursor</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>a54263707be73cc7de138242a1431251</anchor>
      <arglist>(bool hasCursor)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsBackwardsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>418432794284fe3d5538a11476820e9f</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsCaseSensitiveFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>764564a62d6624559cf7c552fe69d11c</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsWholeWordsFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>4b02c8ca5722c94b72e4092f013a926b</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSupportsRegularExpressionFind</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>911d6f9917e59dc552bdf333de821315</anchor>
      <arglist>(bool supports)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>afeeb15d1e2185880fbe0a901dce8adb</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>2805ec7015eb0427d00210f80234c8f0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>bb973fcbd10b60131a4f5ade9fb6ea15</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPattern</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>ab7797d8d42716126ba24904c10f6ef0</anchor>
      <arglist>(const QString &amp;pattern)</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>findExtension</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>9fb5a585a10352585c067f27d5e2f8ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>f23ad3b9b312e8166143e3d365267fab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSelectedTextToggled</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>f51e6bd28c4aa9b39297515e1d7acab2</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPatterns</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>dcfa34f42c509046721f0e909207b277</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>showPlaceholders</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>107cec65fa5ae907ad55f4427e469108</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>textSearchChanged</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>c0edf44e9aa9257cc39ba786b239d060</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>446d63ed2a4f1021dcb340ca1e9c508c</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KReplaceDialog</name>
      <anchorfile>classKFindDialog.html</anchorfile>
      <anchor>6dbcf8e5a7a76d890598633316e9e3ab</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBar</name>
    <filename>classKMultiTabBar.html</filename>
    <base>QWidget</base>
    <member kind="enumeration">
      <name>KMultiTabBarMode</name>
      <anchor>23ae559a1bd5ce8f111388c908da2043</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Horizontal</name>
      <anchor>23ae559a1bd5ce8f111388c908da2043596a92b5e9a28fa83b7b04d212877d4e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Vertical</name>
      <anchor>23ae559a1bd5ce8f111388c908da2043fa1be2b8daa565b20ecbe96bed467514</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarPosition</name>
      <anchor>5fd5dc043680e119a51e90c391fb319b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Left</name>
      <anchor>5fd5dc043680e119a51e90c391fb319bbfae9dbd9872c9cf9200be9a0a7f4d62</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Right</name>
      <anchor>5fd5dc043680e119a51e90c391fb319b9ba6935715561c152b4a17ddff318ff4</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Top</name>
      <anchor>5fd5dc043680e119a51e90c391fb319b4f5d5bc83219fc7cea3f7a2c300e7e46</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Bottom</name>
      <anchor>5fd5dc043680e119a51e90c391fb319b2df2ce370e221ee373f09a0cd7df9bcc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>KMultiTabBarStyle</name>
      <anchor>95ac38de4dd7e96bc415da8475a59500</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>VSNET</name>
      <anchor>95ac38de4dd7e96bc415da8475a595000287f8758b48e8f39698ec3debb5e519</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KDEV3</name>
      <anchor>95ac38de4dd7e96bc415da8475a59500407c0bedf4023a7b50343d64c111b775</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KONQSBC</name>
      <anchor>95ac38de4dd7e96bc415da8475a595007dad3b1ff7037cde9c948f3fdb2a8707</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>KDEV3ICON</name>
      <anchor>95ac38de4dd7e96bc415da8475a5950054187276419282c64a4f76cc94400f44</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>STYLELAST</name>
      <anchor>95ac38de4dd7e96bc415da8475a595000c6d1b9a38c668d77a826cbea267e43a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>d201c103e08c8d50bca33a1b3d798b6b</anchor>
      <arglist>(KMultiTabBarMode bm, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBar</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>6142094be82df7af1ac3f9602630f6ef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>257697a238567e422638232c4e016366</anchor>
      <arglist>(const QPixmap &amp;pic, int id=-1, QPopupMenu *popup=0, const QString &amp;not_used_yet=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>23019cba9e364aa221c84be173f2445f</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>appendTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>eea404e05a24dd9fe3660684244aa67c</anchor>
      <arglist>(const QPixmap &amp;pic, int id=-1, const QString &amp;text=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>811579aa4f4e91e99a0b4653ae2266d3</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>530f54c1ceb8e42820613072d3f7a869</anchor>
      <arglist>(int id, bool state)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTabRaised</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>89432c0ce7bc5078d2dbd139f95ef1e1</anchor>
      <arglist>(int id) const</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarButton *</type>
      <name>button</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>5e011a2271f82711d08bc5186a0e9387</anchor>
      <arglist>(int id) const</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarTab *</type>
      <name>tab</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>ec86c168025ea6bd5ed7956ee5b78608</anchor>
      <arglist>(int id) const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>63a272b2837cd3fd924293ee5f39432f</anchor>
      <arglist>(KMultiTabBarPosition pos)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarPosition</type>
      <name>position</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>c9e4ae776f72616945b2f21a3727755a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>d75626a2e9e1673ec4cf242b8af8bcba</anchor>
      <arglist>(KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type>KMultiTabBarStyle</type>
      <name>tabStyle</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>1d247052bf1a5fb189d290680f0a7ffa</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KMultiTabBarTab &gt; *</type>
      <name>tabs</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>4cc80985d37016d46d678b9d48f91615</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QPtrList&lt; KMultiTabBarButton &gt; *</type>
      <name>buttons</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>0a017e72ff35b0470323f592ef7b70b9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabTexts</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>438021787b8dfec529eceb9ab16d75dc</anchor>
      <arglist>(bool show=true)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>fontChange</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>58b989f075b81b80eae29e7c8cb63679</anchor>
      <arglist>(const QFont &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateSeparator</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>1856a8cb26547f4e5291eb24176f756a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBar.html</anchorfile>
      <anchor>df69d045829847647167804dfe5a1ce9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarButton</name>
    <filename>classKMultiTabBarButton.html</filename>
    <base>QPushButton</base>
    <member kind="slot">
      <type>void</type>
      <name>setPosition</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>14ad772b7f813c428a5b3fab7e564a7b</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setStyle</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>67e4f91cc30a1efcf8adac013e11393c</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarStyle)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setText</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>4fa1f4de20398d77f79a86810484791c</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>2c8e0a23d82f6291322f774818bcf77f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>b3ead3fbce6a1dcee19927f9e3119fa4</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>aa16c7d222e5a64401080f6112e8b6d7</anchor>
      <arglist>(const QPixmap &amp;pic, const QString &amp;, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>d524610ba9eb12b745cd5a80c53f8733</anchor>
      <arglist>(const QString &amp;, QPopupMenu *popup, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarButton</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>c08bb9b88ae236d55913fabed775c1be</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>544d0c0b9da35cb502bcdd5ef2545527</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>a29b772206b698d843e1874da6b823c9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>hideEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>51314fa38eb31b8088fb2b092c1a1959</anchor>
      <arglist>(class QHideEvent *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>65c48d241e53768f63afd87e2c586953</anchor>
      <arglist>(class QShowEvent *)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarPosition</type>
      <name>m_position</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>ad4a03b1a99cc7f76d50cf66fa55482a</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMultiTabBar::KMultiTabBarStyle</type>
      <name>m_style</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>8a4faa3938e7c6a647da7a9afc0411b2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QString</type>
      <name>m_text</name>
      <anchorfile>classKMultiTabBarButton.html</anchorfile>
      <anchor>49b563b3e1019c5b9472b80d6a6030d9</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMultiTabBarTab</name>
    <filename>classKMultiTabBarTab.html</filename>
    <base>KMultiTabBarButton</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>4b895fa09a48073f9f0539e86db1c047</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>setIcon</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>395fc60485bb58bc0f00fcf1378eb38d</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a537479c6979c668cfde626cc5e580b6</anchor>
      <arglist>(const QPixmap &amp;pic, const QString &amp;, int id, QWidget *parent, KMultiTabBar::KMultiTabBarPosition pos, KMultiTabBar::KMultiTabBarStyle style)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KMultiTabBarTab</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>f76377581f64c159641c1923489500a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>6db994f0dfd5dc8e8e4455b874e35df2</anchor>
      <arglist>(bool state)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showActiveTabText</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>1d197a58d1db60412262cf2d564160dd</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>e37c3065cba432af3e1d224196cb1c3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotClicked</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>dcf6c8c580ea51bdd45f258799c5b52a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setTabsPosition</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>54b4a6322e9212e71576c9e2d2cdcb55</anchor>
      <arglist>(KMultiTabBar::KMultiTabBarPosition)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>aabb0b6f34d11676e3e15d572fccd8cf</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>neededSize</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>a75c07e9aae99686932894b1cfc8e339</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>updateState</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ab6f3a352a4217ef3e832aa26519a299</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButton</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>16dce526efc6e4af7de728e2facb487c</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>drawButtonLabel</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>76eccc4c5b2b5696043edf5725103875</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonStyled</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>6309e56c4c961c7d5fe4585e161ebffb</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawButtonClassic</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>ea5a296d5246b849d5d05807a001d62f</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>KMultiTabBarInternal</name>
      <anchorfile>classKMultiTabBarTab.html</anchorfile>
      <anchor>5345228f8183f9de4da62f9024560724</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginInfo</name>
    <filename>classKPluginInfo.html</filename>
    <member kind="typedef">
      <type>QValueList&lt; KPluginInfo * &gt;</type>
      <name>List</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>7a9554e031a1c0ad3954c75f15943f77</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>22d7893f7c8837cc1af0b5b670aad7d1</anchor>
      <arglist>(const QString &amp;filename, const char *resource=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>9e4bc01a6a1bf9655b5885959d37655d</anchor>
      <arglist>(const KService::Ptr service)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KPluginInfo</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>2c845cc2a2be14c8e52205025372fd8a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHidden</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>d0697d458c17668cc0464336895761ae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>4653d71fb69cf08efd010bc4ba9f0ac0</anchor>
      <arglist>(bool enabled)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isPluginEnabled</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>c3949e06a894288a9b227738da61f49f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isPluginEnabledByDefault</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>ff04880db44e2046e4d7b0b92a151b6e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>property</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>647d19af16aeb71c59d29ac2a19566bf</anchor>
      <arglist>(const QString &amp;key) const</arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>operator[]</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>92da95d2951be3334bdb6321d0711a67</anchor>
      <arglist>(const QString &amp;key) const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>name</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>05aaf96b408dfd83d5ad285d9c59c214</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>comment</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>eeec754d0e63da12e97803beb51b9bf5</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>icon</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>9d2ebefee733d307b082d031c110aacf</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>specfile</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>77432c4e9a42ba317e56df52ba31f9d6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>author</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>60b1c8420c9eaf79cee5b17a2b624c9a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>email</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>4d7c037a52df6ade6c4f778c4a27ef12</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>category</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>96661846e82cdb2497be07df00965f65</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>pluginName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>1776342607be2b6873509fb6653cd1c6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>version</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>06fc0f9c0193a7248c32d456009bbcd0</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>website</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>2d6a71e72c6339b02cc942eaa998c453</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>license</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>fb981beb1997e064e294001a60698891</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QStringList &amp;</type>
      <name>dependencies</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>bd860667effc959c231b4e77721fc70c</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KService::Ptr</type>
      <name>service</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>9b999fbf5a78a84563db1b3719b7f3ce</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; KService::Ptr &gt; &amp;</type>
      <name>kcmServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>549c112473eb5bfc364ae7d19f30d837</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfig</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>96c41ae791962fe85c8774520382d70b</anchor>
      <arglist>(KConfig *config, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>config</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>f8b0fcdd2e267cb5e7f770ae0081d486</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>configgroup</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>92a6fb6c5129d47d404ace33e774dc5b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>da2d9e08a0196f6deb43931a4c5f8b98</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>f49230d0b0d4d44a02dbcf7d8b809375</anchor>
      <arglist>(KConfigGroup *config=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>1237f1ca32d30ed450ed3add8ac5dd55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromServices</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>dbaa4163de4a1fc1bca8bff1524d7bbf</anchor>
      <arglist>(const KService::List &amp;services, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromFiles</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>6a79f756ddbe27fd49af48eb57937aa5</anchor>
      <arglist>(const QStringList &amp;files, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KPluginInfo::List</type>
      <name>fromKPartsInstanceName</name>
      <anchorfile>classKPluginInfo.html</anchorfile>
      <anchor>3ecfd420958b68eb3e708060dba955a1</anchor>
      <arglist>(const QString &amp;, KConfig *config=0, const QString &amp;group=QString::null)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPluginSelector</name>
    <filename>classKPluginSelector.html</filename>
    <base>QWidget</base>
    <member kind="signal">
      <type>void</type>
      <name>changed</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>cce744f7bf3a1c5634b365a5fd940d9f</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>configCommitted</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>51d4a663c80752295fa605f0baa4e3ab</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>d9ba95b14de90d62409cf4b238e8a82d</anchor>
      <arglist>(QWidget *parent, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPluginSelector</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>f90bd4c5dceefb11691d1d4054ae9c6d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>2f51c3fd2b42db4ddf66548a79c86215</anchor>
      <arglist>(const QString &amp;instanceName, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>ccece11bdef23424b64ecb3d390b1f11</anchor>
      <arglist>(const KInstance *instance, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlugins</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>cfc2de7fd45cd21b9e37f6742425c6d9</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugininfos, const QString &amp;catname=QString::null, const QString &amp;category=QString::null, KConfig *config=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowEmptyConfigPage</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>7efecb08e94a6d5af90bb22ff60632e7</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>load</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>0755e8747f88f86bb1cc109fbb749438</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>save</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>9b497d3d7ad7933972918362377167dc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>defaults</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>d33733b2d1b909c3a67736704dbfb3b8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KPluginSelectionWidget</name>
      <anchorfile>classKPluginSelector.html</anchorfile>
      <anchor>0bf03efeb97c5bf99175e6b567166527</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplace</name>
    <filename>classKReplace.html</filename>
    <base>KFind</base>
    <member kind="signal">
      <type>void</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>340204fe3ef85c749462687d3374f090</anchor>
      <arglist>(const QString &amp;text, int replacementIndex, int replacedLength, int matchedLength)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>3a473a95ef6ad86acdca05b236110a7c</anchor>
      <arglist>(const QString &amp;pattern, const QString &amp;replacement, long options, QWidget *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>da5e24a5929d228b3c8ef504a422b090</anchor>
      <arglist>(const QString &amp;pattern, const QString &amp;replacement, long options, QWidget *parent, QWidget *replaceDialog)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>1b65bc4d857ae6df981910967c9687d5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>numReplacements</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>43486efb166f2bd0fc6f325ab915d7df</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>resetCounts</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>f983e62fa0006c1acc78a2cdeec4ba46</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Result</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>983f6db63ac2283129a12de3134dae5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KDialogBase *</type>
      <name>replaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>131b9e9e60eae3adb539779f7600f218</anchor>
      <arglist>(bool create=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>closeReplaceNextDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>fa189bb490bd1c04596de9eaab45e904</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>shouldRestart</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>a72ca3196667f8ebc44be9b9b6c4eb77</anchor>
      <arglist>(bool forceAsking=false, bool showNumMatches=true) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>displayFinalDialog</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>f293ff3e131711f498939fa6ab66dc89</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>2b1ad7c27f6239c8a71de9b98432b6c7</anchor>
      <arglist>(QString &amp;text, const QString &amp;pattern, const QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>replace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>05eda3fc95d82a58f0dc52d38a1732e9</anchor>
      <arglist>(QString &amp;text, const QRegExp &amp;pattern, const QString &amp;replacement, int index, long options, int *replacedLength)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSkip</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>322274274669e80994b7e7f59d36618d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplace</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>f809acae21173d710f38611fcbc1d8c6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReplaceAll</name>
      <anchorfile>classKReplace.html</anchorfile>
      <anchor>46e58705d038c2e835e3ce914905872d</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KReplaceDialog</name>
    <filename>classKReplaceDialog.html</filename>
    <base>KFindDialog</base>
    <member kind="enumeration">
      <name>Options</name>
      <anchor>349a75e8c19377a05bcc94c99cb65281</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>PromptOnReplace</name>
      <anchor>349a75e8c19377a05bcc94c99cb652813b14cfb914362e1acdad32c8d2c4ba40</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>3639996423af08dddc66901b3fb14138</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, long options=0, const QStringList &amp;findStrings=QStringList(), const QStringList &amp;replaceStrings=QStringList(), bool hasSelection=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KReplaceDialog</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>1b90039d4890b6d871ab3503cf97ae3c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReplacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>7edbf298e3941ce7e3df67a353f2df8d</anchor>
      <arglist>(const QStringList &amp;history)</arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>replacementHistory</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>8bbc538d0898352c4e8c7f7a8e39882d</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptions</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>ea016894bd036912b2fc5fbf3b29f23a</anchor>
      <arglist>(long options)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>options</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>93d4971bf703452ab782869cc3027216</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>replacement</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>224938f7c4d85b09e8d468b24f77226a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>QWidget *</type>
      <name>replaceExtension</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>6ec08ff5e6836f6fe9aa22ba023e3cde</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>3f25ba9166b4f4c0c13f9e75e852a7ed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>showEvent</name>
      <anchorfile>classKReplaceDialog.html</anchorfile>
      <anchor>816e4f111c77e3f0b1d7a7fc025d337a</anchor>
      <arglist>(QShowEvent *)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>KSettings</name>
    <filename>namespaceKSettings.html</filename>
    <class kind="class">KSettings::ComponentsDialog</class>
    <class kind="class">KSettings::Dialog</class>
    <class kind="class">KSettings::Dispatcher</class>
    <class kind="class">KSettings::PluginPage</class>
    <member kind="variable" static="yes">
      <type>static KStaticDeleter&lt; Dispatcher &gt;</type>
      <name>ksd_kpd</name>
      <anchorfile>namespaceKSettings.html</anchorfile>
      <anchor>471fe351c51ec6ecb15911214a4c8a68</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::ComponentsDialog</name>
    <filename>classKSettings_1_1ComponentsDialog.html</filename>
    <base>KDialogBase</base>
    <member kind="function">
      <type></type>
      <name>ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>35d46e51a014a86c2950823417e238ae</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~ComponentsDialog</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>26ce64c3fab304ec72ad45b891c7c853</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfo</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>c787f7f1864cb57d4659ed46d06dc2e0</anchor>
      <arglist>(KPluginInfo *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>684745eb31e45cf4f22bafeb2552f1e3</anchor>
      <arglist>(const QMap&lt; QString, KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPluginInfos</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>c29818ecae08e66bc613a5374f87e94f</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugins)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>7347fa6d4c7bad70804f6f9aa83c4712</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotOk</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>485e23449130391f5f0068f864bde780</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotApply</name>
      <anchorfile>classKSettings_1_1ComponentsDialog.html</anchorfile>
      <anchor>53e25cefce02ad0ce0629f3d6849c915</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dialog</name>
    <filename>classKSettings_1_1Dialog.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>ContentInListView</name>
      <anchor>437a7ccc40ab8b9f2a43c72864200575</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Static</name>
      <anchor>437a7ccc40ab8b9f2a43c728642005753c7829d316e7d82bc918ecf43ba77474</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>Configurable</name>
      <anchor>437a7ccc40ab8b9f2a43c72864200575643b4cdba04372d0a081290ad75bb181</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>show</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>6eb7ffaa7c7a3ed62a018c9135000c4d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>pluginSelectionChanged</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>bdf1119904ade2a6bfa5221deb146f49</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>b54ab89a21f22f1cf84080590cd26c2c</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>d3d5b457e18d341258c0648024bee0f7</anchor>
      <arglist>(ContentInListView content=Static, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>aba27fc88b613307009023334e316b5d</anchor>
      <arglist>(const QStringList &amp;components, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>9e466eab52261c1ed64802cdf659b541</anchor>
      <arglist>(const QStringList &amp;components, ContentInListView content, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~Dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>9e4a2c49bacc1262e01e9b5b18fb1663</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPluginInfos</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>b1c5477387528c115ac7a03ee5461b9c</anchor>
      <arglist>(const QValueList&lt; KPluginInfo * &gt; &amp;plugininfos)</arglist>
    </member>
    <member kind="function">
      <type>KCMultiDialog *</type>
      <name>dialog</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>c6290a4c1bb83d9065e1306159b7e864</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>configureTree</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>f0ef4736d2c305dc385c1a8604cff4fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>updateTreeList</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>de4d5af4e14f1cd8e3f418c5fcd3213d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>PageNode</name>
      <anchorfile>classKSettings_1_1Dialog.html</anchorfile>
      <anchor>c4306e477c37febb7776a0669f5e5ab0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::Dispatcher</name>
    <filename>classKSettings_1_1Dispatcher.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>reparseConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>710fba07a45d23ce7f556d782e707cfc</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>syncConfiguration</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>d98d80d1df30a6b6dcd073d4173fa040</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerInstance</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>5a4c6a0a57ea700413c267f3eb588af0</anchor>
      <arglist>(KInstance *instance, QObject *recv, const char *slot)</arglist>
    </member>
    <member kind="function">
      <type>KConfig *</type>
      <name>configForInstanceName</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>e816c741eaa0c7a17abbc50c1ff31ca5</anchor>
      <arglist>(const QCString &amp;instanceName)</arglist>
    </member>
    <member kind="function">
      <type>QStrList</type>
      <name>instanceNames</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>a1b214e6d6a9c4d5d2a87efff31cfba6</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Dispatcher *</type>
      <name>self</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>4cde7b752437bfeee7c5c0a013ce489e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KStaticDeleter&lt; Dispatcher &gt;</name>
      <anchorfile>classKSettings_1_1Dispatcher.html</anchorfile>
      <anchor>87268b755ec1dd675b175a51c0085718</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KSettings::PluginPage</name>
    <filename>classKSettings_1_1PluginPage.html</filename>
    <base>KCModule</base>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>4b23c6da07304e7ee3a0efbfea34cd9a</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>250429cbc1e034366eaefa25e77ace23</anchor>
      <arglist>(KInstance *instance, QWidget *parent=0, const QStringList &amp;args=QStringList())</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PluginPage</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>6761b489af7e26fb139a29a4a68fa12b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPluginSelector *</type>
      <name>pluginSelector</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>02dd859cb903f978f0f6ea59c8f36782</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>84c5bc05cd8f03fc30c031e76d64a99e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>96ead39076546393f56e533c1cf41a35</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>defaults</name>
      <anchorfile>classKSettings_1_1PluginPage.html</anchorfile>
      <anchor>3170ccf93b88692fead575e065a09158</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
</tagfile>
