<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="class">
    <name>KArtsDispatcher</name>
    <filename>classKArtsDispatcher.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>9dba4512326853f51eaa79e42388e406</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsDispatcher</name>
      <anchorfile>classKArtsDispatcher.html</anchorfile>
      <anchor>161b98dcc35472cadfc8fabba1b77465</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsFloatWatch</name>
    <filename>classKArtsFloatWatch.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>valueChanged</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>9681a1c2a32cb5509120fd089e9b5b18</anchor>
      <arglist>(float newValue)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>b2d6f748812caa3cc5616d06fa31cccc</anchor>
      <arglist>(Arts::Object object, const char *stream, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KArtsFloatWatch</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>e7bff3ecb338773be4f26de5cda3bc95</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>Arts::KFloatWatchProxy_impl</name>
      <anchorfile>classKArtsFloatWatch.html</anchorfile>
      <anchor>df36df73f1130b797f7553860911f30f</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KArtsServer</name>
    <filename>classKArtsServer.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>restartedServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>35c63810284e1babca345d701bf2a8ea</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>cf86ccd63e7ddc6f3487dfe96b4a6c1b</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KArtsServer</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>45ce023780d2b2dbbc15d7e4ebf86e9e</anchor>
      <arglist>(void)</arglist>
    </member>
    <member kind="function">
      <type>Arts::SoundServerV2</type>
      <name>server</name>
      <anchorfile>classKArtsServer.html</anchorfile>
      <anchor>c5c5ca4daebb5b961e7b90bf654e2152</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioConverter</name>
    <filename>classKAudioConverter.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>rawStreamStart</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>a374cbeacb52dffef3c259c8b4a4b241</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockSize</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>d4737469ea2b60e5d629e003680b3009</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockPointer</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>6024c2c9eb882960e680c2d5fc50db56</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newData</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>ce896b3c220cf28bf8ca7941bdb8f8d8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rawStreamFinished</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>38308d4833e9514566416ca7a337e944</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioConverter</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>bef2b444eb03e3030f64dfd8f6188c55</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioConverter</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>5786aad2889ee47a3542e3e35e746f63</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setup</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>2b64f3e88ad09922a329d7cde2747c0d</anchor>
      <arglist>(int samplingRate)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>requestPlayObject</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>f66ab4bcd70e92dcb01f03981d171421</anchor>
      <arglist>(const KURL &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>b8385e775141343db3b26326f2660b1e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioConverter.html</anchorfile>
      <anchor>674027d9b6acef7c895b17e0063c1272</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioManagerPlay</name>
    <filename>classKAudioManagerPlay.html</filename>
    <member kind="function">
      <type></type>
      <name>KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>dc0350471df1e87b7e18957b69ff8379</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title=QString::null)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioManagerPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>8a4dcd6a233dada812dd029421ce216d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::Synth_AMAN_PLAY</type>
      <name>amanPlay</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>884bfdb9b84a1615e530aec14fe9a9a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>9e59d9a0ac12407c5b6742490020ba48</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTitle</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>2e8a924bdcfd3453842a3294e859edce</anchor>
      <arglist>(const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>title</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>41635d0f8f0ee26c8ce8da550b8baa89</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>08b8103c44c4c8801a5cbc74c3d9c832</anchor>
      <arglist>(const QString &amp;autoRestoreID)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>autoRestoreID</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>a676cf943b4f88b47044c35d62853c97</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>fa25aee810bd205f96b31f62ef56970d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioManagerPlay.html</anchorfile>
      <anchor>d6b5e89d34aafe554bda06ff80afc226</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioPlayStream</name>
    <filename>classKAudioPlayStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>be065a8bd758cbedb31829b9bc4932d8</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>5e8a4a1044a371761c00a03f236a19b7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>write</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>45f0558d88b7ba33d4462da96b1fb7f4</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>requestData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>60755edf96263df4b61458e641b40a81</anchor>
      <arglist>(QByteArray &amp;)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>8c31b14c2752d906541ecfd5f55e7555</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>noData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>b97af90d127b8cf818be16e2baaade23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>30fecb669098be5f28f493da24756cae</anchor>
      <arglist>(KArtsServer *server, const QString title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioPlayStream</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>e11dec924fc097e6f76cbd91982c5952</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>2d4d76b44efd712bff7066d409ecdd53</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>d69df750241a09a3f6e5c64e677fc0d4</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>9d1f50bd1e1c9f953b62a1bed298da58</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>73ce003eced5214eba5c7701166c4c3e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fillData</name>
      <anchorfile>classKAudioPlayStream.html</anchorfile>
      <anchor>3cdf99ae10f09d68d8ec24ce046fe1c5</anchor>
      <arglist>(Arts::DataPacket&lt; Arts::mcopbyte &gt; *packet)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KAudioRecordStream</name>
    <filename>classKAudioRecordStream.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>35e7c379309ca3abb7489114ebf72812</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>start</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>3a5f8781f31446e6999e3dd0548f5719</anchor>
      <arglist>(int samplingRate, int bits, int channels)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>flush</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>e2ee2396996f148ce33e1577b0dd0cef</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>data</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>729339731b484130736646de45042658</anchor>
      <arglist>(QByteArray &amp;data)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>148b8c9beb2ff8908d1f028b3aaf5944</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>973eda44bf402225f7d9545be619cd8a</anchor>
      <arglist>(KArtsServer *server, const QString &amp;title, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KAudioRecordStream</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>335177123b2467bd35578ab72339d2f9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>read</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>7e565585755d32a47d3578add1f12f25</anchor>
      <arglist>(char *, int size)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBlockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>1d1a7180fe99c1162fdd93f86b271251</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>blockingIO</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>4637056d5a77625f5d9bd898bb225111</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>usePolling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>d7ab0f3c06d1d1a0b55b434bdfc1fbe3</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>polling</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>2154d5a0485f16a0d5d7804a16832245</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>Arts::StereoEffectStack</type>
      <name>effectStack</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>4f296cdb9883dfcec40527ab2911cfac</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>running</name>
      <anchorfile>classKAudioRecordStream.html</anchorfile>
      <anchor>247a572959d4b78ab975ab34ea87444c</anchor>
      <arglist>() const</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KConvertTest</name>
    <filename>classKConvertTest.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotRawStreamStart</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>635e3506c1d9efdef44036d88186229e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewBlockSize</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>bfc335db740ae4f1916ef44ee9e08ee3</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewBlockPointer</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>501113729d3f9e8e8812d917db7bf516</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotNewData</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>cad6bd9215c517bb43b0d8728681611a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotRawStreamFinished</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>67533aaac8c16b493627c39608dfee30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KConvertTest</name>
      <anchorfile>classKConvertTest.html</anchorfile>
      <anchor>1256b97c982727b7cddf176160057423</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMCOP</name>
    <filename>classKMCOP.html</filename>
    <base>QObject</base>
    <member kind="dcop">
      <type>int</type>
      <name>objectCount</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>a4bd7f34cd7ecb3e22dc3708f5cb5458</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>addInterfacesHackHackHack</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>96d2d9b3e2d622984267bbe500d1357f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMCOP</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>ac9dbf62145051a0b4fc534fa7a32be7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMCOP</name>
      <anchorfile>classKMCOP.html</anchorfile>
      <anchor>91c14fb097a75d39da7a867d8052fe28</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KNotify</name>
    <filename>classKNotify.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>PlayingFinishedStatus</name>
      <anchor>747109bf12af73f2c45c8b9f9320c567</anchor>
      <arglist></arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>17d1a796006ad4b392408345bbadabec</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>e7b6d89364c5d7fd6874a84771bfdcfd</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level, int winId)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>4c7e48b93e9aa8ec3d1851b780999695</anchor>
      <arglist>(const QString &amp;event, const QString &amp;fromApp, const QString &amp;text, QString sound, QString file, int present, int level, int winId, int eventId)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>reconfigure</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>bbde45fcea7d64ee3e0690d8e0fb3165</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>setVolume</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>a34d6e3c54964a2206a88f55757d27cd</anchor>
      <arglist>(int volume)</arglist>
    </member>
    <member kind="dcop">
      <type>void</type>
      <name>sessionReady</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>099079f6498d5684165d65b3bf3c654f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KNotify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>487252021b9bf0e783ac7b10c59bf399</anchor>
      <arglist>(bool useArts)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KNotify</name>
      <anchorfile>classKNotify.html</anchorfile>
      <anchor>4ebdb01194c2e5206b9d0132e5ed0dba</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPlayObject</name>
    <filename>classKPlayObject.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>521144683acd4c84f37d87d513001fed</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>5be40a0e6bbf8a307e5112eaebc7d224</anchor>
      <arglist>(Arts::PlayObject playobject, bool isStream)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPlayObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>71254b2f3ca8e7a8ad4af0d97c4bb8d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setObject</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>e683a5644369c5cb18dfc69544a1628d</anchor>
      <arglist>(Arts::PlayObject playObject)</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>0d3a439f759e76e73571b6be46083048</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>43941dcce6320e380cbd05e9bfaf7f70</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>acde5202dd40811db2e0bb8bea8a360b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>1769f47accf8edafe8b2f3660bf76de2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>7cf07578f9183239fbc8102577ba2ce1</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>7e65d89355e8a1dff4f1a1f42b8665ac</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>112fa7aff3a9bc151c6ac0408c5a44c8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>c49d06381a435060916e6f146e03e7d0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>4ae6a1db6d7777b33c3e8374d9d26af3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>52c4dcbf7a86c76949f4455f23a5c968</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>449a7b1b3d4e7bf387a8770590c6989f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>e7b33f4d555931abbea532d47d3cab6b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKPlayObject.html</anchorfile>
      <anchor>dd54f781676cafa3cfed06911779820a</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPlayObjectFactory</name>
    <filename>classKPlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>f566434d5cff2ef1ebfa47ae30cc437c</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>6c1c5540dd826cb10926ac0306f4b0dd</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KPlayObjectFactory</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>89c7b41663e05d6bcd9f68d530b9590d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KPlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>b05c1cf705de44328236bdec6c5efd79</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KPlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>842cf36caf4336150ecbf9efa44e4c7c</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>cbac423aa4545d56243e940b213c1f9b</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>75f4306577bc6b9cf3f61d4695de1dbe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAStream</name>
      <anchorfile>classKPlayObjectFactory.html</anchorfile>
      <anchor>d3c6e6e94345b58615a50239625c12ca</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KVideoWidget</name>
    <filename>classKVideoWidget.html</filename>
    <base>QWidget</base>
    <base virtualness="virtual">KXMLGUIClient</base>
    <member kind="slot">
      <type>void</type>
      <name>setFullscreen</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>2ab56006599129b2e35032ee4ed32967</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setWindowed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>2d9d5efb5dd2a0591458a06a993d398c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setHalfSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>869062fee4bdc138b383547a827e4e64</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setNormalSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>11f16c151b03caa55baec932b9d909bc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setDoubleSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>a094709e50c350407cd55df938c55594</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>resizeNotify</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>221dd2e2849b031998899cfcdd386495</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>adaptSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>cf6c86c20e4c07f58973533fde411ce3</anchor>
      <arglist>(int width, int height)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseButtonPressed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>fee1b8a071ab338569fd4f7188d00b11</anchor>
      <arglist>(int type, const QPoint &amp;, int state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>mouseButtonDoubleClick</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>98da61c551ef59b3aeb96db81fa8c938</anchor>
      <arglist>(const QPoint &amp;, int state)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rightButtonPressed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>94c7b4f07dd5590bbbb7b84fd58c4127</anchor>
      <arglist>(const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>0f6e39fa53b559a2f03da2e8043b7cb4</anchor>
      <arglist>(KXMLGUIClient *clientParent, QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>08d4c65acbb147676fa2c8dace831507</anchor>
      <arglist>(QWidget *parent=0, const char *name=0, WFlags f=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KVideoWidget</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>e618c7e00aa0f4e0d4b9e591e7486c51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>embed</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>9751f7de98197144d9de296f5d6ee273</anchor>
      <arglist>(Arts::VideoPlayObject vpo)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmbedded</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>1ae5f51f869a2bd923c62ec59d54aabd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isFullscreen</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>15882f8044c3f6b038f782fe11a10377</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isHalfSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>cd207f151965f945271b2afc8926421e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNormalSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>c7f761bc9d0ba1e7dc9b1cb31429cd5c</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDoubleSize</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>d42e4b76fc738cf4df638c7e911e14fe</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QSize</type>
      <name>sizeHint</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>8885b9a42c58ab8b2a239e549c6966ed</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>heightForWidth</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>652f145d69684a561951607f287b3813</anchor>
      <arglist>(int w) const</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QImage</type>
      <name>snapshot</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>94d8ac4d0b7abc4ad6c560872297b62d</anchor>
      <arglist>(Arts::VideoPlayObject vpo)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>fullscreenActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>dc026017d5971accbdc736bc3aa2ba76</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>halfSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>ff607fe2a4ec9436fceb8be6910d8782</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>normalSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>7076dd635aa71fde49193ab2cf5ccef9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>doubleSizeActivated</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>63f7426a0a627ef5ac591c57171ceef1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mousePressEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>64d54a99a73c3fb7750f9caa0433d615</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>mouseDoubleClickEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>ed5363c184432656c1e47b9f5d79196a</anchor>
      <arglist>(QMouseEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>resizeEvent</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>af7b617358a2a5bf2127dee98a962ee3</anchor>
      <arglist>(QResizeEvent *event)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>x11Event</name>
      <anchorfile>classKVideoWidget.html</anchorfile>
      <anchor>93aa2ea743bc52a4058b534d5d08e3c6</anchor>
      <arglist>(XEvent *event)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPDCOPObject</name>
    <filename>classMCOPDCOPObject.html</filename>
    <member kind="function">
      <type></type>
      <name>MCOPDCOPObject</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>16f16cf62cf1199034a449552f83f271</anchor>
      <arglist>(QCString name)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MCOPDCOPObject</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>809f0f6fa18e178750e86336d4ca73d7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>processDynamic</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>f35fda772a3c2ab62edf82699a09717e</anchor>
      <arglist>(const QCString &amp;fun, const QByteArray &amp;data, QCString &amp;replyType, QByteArray &amp;replyData)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QCStringList</type>
      <name>functionsDynamic</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>93d4b2ba5f9aabf1d3e271ee4cb979ae</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addDynamicFunction</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>c270b6c77ffdc59a6f040c4cef1ac356</anchor>
      <arglist>(QCString value, MCOPEntryInfo *entry)</arglist>
    </member>
    <member kind="function">
      <type>Arts::Buffer *</type>
      <name>callFunction</name>
      <anchorfile>classMCOPDCOPObject.html</anchorfile>
      <anchor>bdb8e75ed2f54b5143549d09631126c4</anchor>
      <arglist>(MCOPEntryInfo *entry, QCString ifaceName, const QByteArray &amp;data)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPDCOPTools</name>
    <filename>classMCOPDCOPTools.html</filename>
    <member kind="function" static="yes">
      <type>static long</type>
      <name>getLong</name>
      <anchorfile>classMCOPDCOPTools.html</anchorfile>
      <anchor>53e34641f8d6413915396497c9e49e04</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>getString</name>
      <anchorfile>classMCOPDCOPTools.html</anchorfile>
      <anchor>eb8248760c78ef1feb8fa39def11bcfe</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>MCOPEntryInfo</name>
    <filename>classMCOPEntryInfo.html</filename>
    <member kind="function">
      <type></type>
      <name>MCOPEntryInfo</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>b139521c7e1fa13c5d072a08afe5ea84</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~MCOPEntryInfo</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>6628bf12481aa3644edd96135d5957ab</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>functionType</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>d624477b250a3a7b209729444d1322e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>functionName</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>31434deaf27f032fc17034e82269b880</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCString</type>
      <name>signature</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>0322a957dd710016cf8608c11b438cd0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QCStringList</type>
      <name>signatureList</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>ece9d6cc32df8347b3010d7486837d7b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunctionType</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>2b80f561ad1cdfcad55e901e9ca2a269</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFunctionName</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>446d054bead8472a9ff906b403179591</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignature</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>144239dfaf8910c62e006d4f68e1f26c</anchor>
      <arglist>(QCString s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSignatureList</name>
      <anchorfile>classMCOPEntryInfo.html</anchorfile>
      <anchor>486bace32e3b978a234ad2e5696bd42b</anchor>
      <arglist>(QCStringList s)</arglist>
    </member>
  </compound>
  <compound kind="namespace">
    <name>Arts</name>
    <filename>namespaceArts.html</filename>
    <class kind="class">Arts::KFloatWatchProxy_base</class>
    <class kind="class">Arts::KFloatWatchProxy_stub</class>
    <class kind="class">Arts::KFloatWatchProxy_skel</class>
    <class kind="class">Arts::KFloatWatchProxy</class>
    <class kind="class">Arts::KIOInputStream_base</class>
    <class kind="class">Arts::KIOInputStream_stub</class>
    <class kind="class">Arts::KIOInputStream_skel</class>
    <class kind="class">Arts::KIOInputStream</class>
    <class kind="class">Arts::KDataRequest_base</class>
    <class kind="class">Arts::KDataRequest_stub</class>
    <class kind="class">Arts::KDataRequest_skel</class>
    <class kind="class">Arts::KDataRequest</class>
    <class kind="class">Arts::KIOTestSlow_base</class>
    <class kind="class">Arts::KIOTestSlow_stub</class>
    <class kind="class">Arts::KIOTestSlow_skel</class>
    <class kind="class">Arts::KIOTestSlow</class>
    <class kind="class">Arts::KDataRequest_impl</class>
    <class kind="class">Arts::KIOInputStream_impl</class>
    <member kind="function">
      <type></type>
      <name>REGISTER_IMPLEMENTATION</name>
      <anchorfile>namespaceArts.html</anchorfile>
      <anchor>c187d34d674051864bb4e96feadc63ef</anchor>
      <arglist>(KIOTestSlow_impl)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KFloatWatchProxy_base</name>
    <filename>classArts_1_1KFloatWatchProxy__base.html</filename>
    <member kind="function">
      <type>KFloatWatchProxy_base *</type>
      <name>_copy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>a460a4036e725d9c5b94600654e76c16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsIn</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>b1040790fc90e593d74ea38bbdb2be8b</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsOut</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>2642c619695036e55973901b622ddc02</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>_cast</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>be5d29fca7d852aecb065bf9af893c13</anchor>
      <arglist>(unsigned long iid)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual float</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>234f93a79dfcf824d9cdffa22becb723</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>ca5d112ca9bf1373c6fccb1c16f2aac6</anchor>
      <arglist>(float newValue)=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy_base *</type>
      <name>_create</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>57bce4f5ba2c92f088613dd2dc0f04fb</anchor>
      <arglist>(const std::string &amp;subClass=&quot;Arts::KFloatWatchProxy&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy_base *</type>
      <name>_fromString</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>0e67fa6e290fc535075dcc822f9384d8</anchor>
      <arglist>(const std::string &amp;objectref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy_base *</type>
      <name>_fromReference</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>24b8c1f582725f7c75352b629ee06377</anchor>
      <arglist>(Arts::ObjectReference ref, bool needcopy)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy_base *</type>
      <name>_fromDynamicCast</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>32c4dc13df8a71e705226ba0a6ef46f0</anchor>
      <arglist>(const Arts::Object &amp;object)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned long</type>
      <name>_IID</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__base.html</anchorfile>
      <anchor>c068139bad7a697ac4759c664e573cf3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KFloatWatchProxy_stub</name>
    <filename>classArts_1_1KFloatWatchProxy__stub.html</filename>
    <base virtualness="virtual">Arts::KFloatWatchProxy_base</base>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy_stub</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__stub.html</anchorfile>
      <anchor>76974f2fe844f081240e5ad39a820303</anchor>
      <arglist>(Arts::Connection *connection, long objectID)</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__stub.html</anchorfile>
      <anchor>178ddf0670d084fced4e04c6713cc0ad</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__stub.html</anchorfile>
      <anchor>8b63d4b62f35f57a6ca809eeea9b2389</anchor>
      <arglist>(float newValue)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KFloatWatchProxy_stub</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__stub.html</anchorfile>
      <anchor>1686f5412c4333c49edeb8164dd50007</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KFloatWatchProxy_skel</name>
    <filename>classArts_1_1KFloatWatchProxy__skel.html</filename>
    <base virtualness="virtual">Arts::KFloatWatchProxy_base</base>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy_skel</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>0360a87aa0fb4c8511352f9c7abb503f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>_interfaceName</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>6f7b7cf6b04126e71200e7958b62d70d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>_isCompatibleWith</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>bc2f3985ca4a9aeac0b2e4142614734d</anchor>
      <arglist>(const std::string &amp;interfacename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_buildMethodTable</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>5bcaf32030c3e95578a8fd0948d0785a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dispatch</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>cdc6aa7fef1753172a959bf48b8ab1b0</anchor>
      <arglist>(Arts::Buffer *request, Arts::Buffer *result, long methodID)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>_interfaceNameSkel</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>8b586547b297f432ba2be86f64fac9f5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>value_changed</name>
      <anchorfile>classArts_1_1KFloatWatchProxy__skel.html</anchorfile>
      <anchor>ced8401d0c76ce785573cf0d09f6838f</anchor>
      <arglist>(float newValue)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KFloatWatchProxy</name>
    <filename>classArts_1_1KFloatWatchProxy.html</filename>
    <member kind="typedef">
      <type>KFloatWatchProxy_base</type>
      <name>_base_class</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>c8524e9be9164666324a4dd34a69f18e</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>ef16c702f9873a4afe703d497c3e70e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>cc2e209e5df697c0b13966ad094bba45</anchor>
      <arglist>(const Arts::SubClass &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>63ccc577937b2fa008d582934e331b94</anchor>
      <arglist>(const Arts::Reference &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>1f56b5942501878c8e9ee4393d6a4bbb</anchor>
      <arglist>(const Arts::DynamicCast &amp;c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>44d56f6117391651dbbeb103777e2f00</anchor>
      <arglist>(const KFloatWatchProxy &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>5766915accd9929a645957226681f3e0</anchor>
      <arglist>(Arts::Object::Pool &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>KFloatWatchProxy &amp;</type>
      <name>operator=</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>9b5224e4d34e9f64343a0a3a6ef904d2</anchor>
      <arglist>(const KFloatWatchProxy &amp;target)</arglist>
    </member>
    <member kind="function">
      <type>KFloatWatchProxy_base *</type>
      <name>_base</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>2b736eac7ac36dc65c688ad917935f51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>float</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>a5cf11d3359c6426eb12689baaebe553</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>value</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>3ed4be4dc6fe71fd9f11bbf9038e4b76</anchor>
      <arglist>(float _newValue)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy</type>
      <name>null</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>fa5b036c64d702248b56e7771e186616</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KFloatWatchProxy</type>
      <name>_from_base</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>ab6f314386f8a5a692851b661284db9a</anchor>
      <arglist>(KFloatWatchProxy_base *b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KFloatWatchProxy</name>
      <anchorfile>classArts_1_1KFloatWatchProxy.html</anchorfile>
      <anchor>b1e1dc9cff2162379cb1df746508a0be</anchor>
      <arglist>(KFloatWatchProxy_base *b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_base</name>
    <filename>classArts_1_1KIOInputStream__base.html</filename>
    <member kind="function">
      <type>KIOInputStream_base *</type>
      <name>_copy</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>192d65f92c910d6bbb9eaa973e09ff9f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsIn</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>0bbb41422c03b1de7067a2d298c6725a</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsOut</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>7eea8bc24d50e2ae05dd09c670efe57f</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>_cast</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>502cf8277ba95937b6fcb9c515edcabf</anchor>
      <arglist>(unsigned long iid)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>938b8010f4ac7a01781337f01a69a4a0</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>42910c44ddb2ac45ff7adf4311271968</anchor>
      <arglist>(long newValue)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>dc672197533014f9bb0d71e51738fa72</anchor>
      <arglist>(const std::string &amp;url)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>1ebfff38a9bbc09fd496e1b7d5ae7058</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream_base *</type>
      <name>_create</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>a52670c2ec4f6cd08a8ae1791b8e0929</anchor>
      <arglist>(const std::string &amp;subClass=&quot;Arts::KIOInputStream&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream_base *</type>
      <name>_fromString</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>15d3a4011fcec92b6e8213fff2aa2b81</anchor>
      <arglist>(const std::string &amp;objectref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream_base *</type>
      <name>_fromReference</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>b585b5bdc2e12cdda1b2a536957b7962</anchor>
      <arglist>(Arts::ObjectReference ref, bool needcopy)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream_base *</type>
      <name>_fromDynamicCast</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>5b30eafbde441817627511d04ce1fda3</anchor>
      <arglist>(const Arts::Object &amp;object)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned long</type>
      <name>_IID</name>
      <anchorfile>classArts_1_1KIOInputStream__base.html</anchorfile>
      <anchor>7aebd306d9f1e61e8fb5e1645f9a7a64</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_stub</name>
    <filename>classArts_1_1KIOInputStream__stub.html</filename>
    <base virtualness="virtual">Arts::KIOInputStream_base</base>
    <member kind="function">
      <type></type>
      <name>KIOInputStream_stub</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>d79646389ad78a0a92bd48350aad0c3d</anchor>
      <arglist>(Arts::Connection *connection, long objectID)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>d88b15eacc858fab17b50e7d92b5e855</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>4dc25a5a3fae0ebb27355af638a87676</anchor>
      <arglist>(long newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>cc57aa283486dda7907087e7e4d145e1</anchor>
      <arglist>(const std::string &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>872212ee96c18cb83cc186795f21fff4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KIOInputStream_stub</name>
      <anchorfile>classArts_1_1KIOInputStream__stub.html</anchorfile>
      <anchor>03b49146ea1596b7bb0ef8453fe4bd46</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_skel</name>
    <filename>classArts_1_1KIOInputStream__skel.html</filename>
    <base virtualness="virtual">Arts::KIOInputStream_base</base>
    <member kind="function">
      <type></type>
      <name>KIOInputStream_skel</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>ac09377380585d6d6a61b31b7c24a665</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>_interfaceName</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>e6639a70c1911404952aa157fc35f313</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>_isCompatibleWith</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>c25a4a26ea3e304a277db9c386f291b7</anchor>
      <arglist>(const std::string &amp;interfacename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_buildMethodTable</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>c2cc94f8ff39e95818cdd93228c98af0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dispatch</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>cd4b7a3f2b5c1c3ccf3a6d7c87b8169e</anchor>
      <arglist>(Arts::Buffer *request, Arts::Buffer *result, long methodID)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>_interfaceNameSkel</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>05158ed41af79df14c002eb77e2b5f4e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>bufferPackets_changed</name>
      <anchorfile>classArts_1_1KIOInputStream__skel.html</anchorfile>
      <anchor>8dfea242102ce6ff9c4bf658758a7019</anchor>
      <arglist>(long newValue)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream</name>
    <filename>classArts_1_1KIOInputStream.html</filename>
    <member kind="typedef">
      <type>KIOInputStream_base</type>
      <name>_base_class</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>60814de8ae404dc3a3dce9fde51fe10b</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>ee3704f205e885b0c17c74792347f190</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>c0366dc7b90640407e0350d0f40fcfdb</anchor>
      <arglist>(const Arts::SubClass &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>39343ace351198479e2a60060ee50c71</anchor>
      <arglist>(const Arts::Reference &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>c3d6cc41cd3b3b5865573c42586348df</anchor>
      <arglist>(const Arts::DynamicCast &amp;c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>0b29b1852c59d4834b63dbf60527691b</anchor>
      <arglist>(const KIOInputStream &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>d9b7a406a237b8e4dccb8254423c5975</anchor>
      <arglist>(Arts::Object::Pool &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>KIOInputStream &amp;</type>
      <name>operator=</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>eb5bcbbb1cfe1cff624e98fa03444932</anchor>
      <arglist>(const KIOInputStream &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator Arts::InputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>7b0915e729da1079129e5e3d35c3fb86</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator Arts::SynthModule</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>948f56956da6dabeb4f96a3314f5e5b8</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KIOInputStream_base *</type>
      <name>_base</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>7b089aef71eb9d57051dc908b3374590</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eof</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>35440cb3ba61c05fc3a9c6317864f95b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>size</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>58ac1ff809cb9bd1e27ab7ca635a0c4b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>seekOk</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>3286e09f41a21b0fb4b7a43ad8ab9dc4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>seek</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>c35b659ebc84be1445afacdd948b46f5</anchor>
      <arglist>(long position)</arglist>
    </member>
    <member kind="function">
      <type>Arts::AutoSuspendState</type>
      <name>autoSuspend</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>db9057766d42d6b0e806696e1b0d9233</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>e703a35ed9eb2304d19415be91040f66</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>f4a47c1725511608ddca40b681555936</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>17fec2abcd66db2c1f21e0d5382d6c4f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>4b00e95b1035b9adc14ead6add2c96c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>8b43bf4a0b527df0537a8ab99f1288c7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>d580f139d183989577c74a41b256dedc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>f4eae6e7148dec6d751c9838060e8810</anchor>
      <arglist>(long _newValue)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>86ef355c0f089cfa2da80408faca0ca0</anchor>
      <arglist>(const std::string &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>47bad817824a464f3c784918c267b190</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream</type>
      <name>null</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>3cc42b92af1f3614571b35c325d4183b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOInputStream</type>
      <name>_from_base</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>88eb29504b4d5bdf9e6fe2d1f406b162</anchor>
      <arglist>(KIOInputStream_base *b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KIOInputStream</name>
      <anchorfile>classArts_1_1KIOInputStream.html</anchorfile>
      <anchor>95126c4ae58891283b0719f64bba1371</anchor>
      <arglist>(KIOInputStream_base *b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_base</name>
    <filename>classArts_1_1KDataRequest__base.html</filename>
    <member kind="function">
      <type>KDataRequest_base *</type>
      <name>_copy</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>11eba69c7f9d7ff95fa86ef46e87f2b5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsIn</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>7c3595ccfb728b586f239026c0926582</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsOut</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>ab8cec99307224baee2fb56c8e57410e</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>_cast</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>7dcc19074fb5d95e8ae93d121bc9066f</anchor>
      <arglist>(unsigned long iid)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>804f9419c44ea189f4e4e045988e5cc2</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest_base *</type>
      <name>_create</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>892808614717a61889a871376ea18eed</anchor>
      <arglist>(const std::string &amp;subClass=&quot;Arts::KDataRequest&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest_base *</type>
      <name>_fromString</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>06ba30d838b21ed915bc25fba5e7a1fc</anchor>
      <arglist>(const std::string &amp;objectref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest_base *</type>
      <name>_fromReference</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>430ef4774321da904b7a91f2c9ba7bac</anchor>
      <arglist>(Arts::ObjectReference ref, bool needcopy)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest_base *</type>
      <name>_fromDynamicCast</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>87b09bdb688c613ef43082c8721b7364</anchor>
      <arglist>(const Arts::Object &amp;object)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned long</type>
      <name>_IID</name>
      <anchorfile>classArts_1_1KDataRequest__base.html</anchorfile>
      <anchor>86e06b16e14d85517db1f6fa4d7fb03e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_stub</name>
    <filename>classArts_1_1KDataRequest__stub.html</filename>
    <base virtualness="virtual">Arts::KDataRequest_base</base>
    <member kind="function">
      <type></type>
      <name>KDataRequest_stub</name>
      <anchorfile>classArts_1_1KDataRequest__stub.html</anchorfile>
      <anchor>64d58b6558a2c1f2caa658aa90371344</anchor>
      <arglist>(Arts::Connection *connection, long objectID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest__stub.html</anchorfile>
      <anchor>d80a62b5f3e6b2b5d660a5de52393557</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KDataRequest_stub</name>
      <anchorfile>classArts_1_1KDataRequest__stub.html</anchorfile>
      <anchor>2ea5286cf97193e29074333127ab3f4e</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_skel</name>
    <filename>classArts_1_1KDataRequest__skel.html</filename>
    <base virtualness="virtual">Arts::KDataRequest_base</base>
    <member kind="function">
      <type></type>
      <name>KDataRequest_skel</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>a67fb0f2e7a992deb7f7e4d2fc98ab33</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>_interfaceName</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>6e85a7f3b92271e2fe8ab145f3303219</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>_isCompatibleWith</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>1e68f4ea1c7b5253fcfa642fd4c49ee9</anchor>
      <arglist>(const std::string &amp;interfacename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_buildMethodTable</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>9b2b351d550868b91016449032afe06d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dispatch</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>e206acb4b2158862b8900317d1130de5</anchor>
      <arglist>(Arts::Buffer *request, Arts::Buffer *result, long methodID)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>_interfaceNameSkel</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>2cf789ec09ee4a0f85446294ce23df6f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float *</type>
      <name>left</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>4e1888165285d03344b056fd5245f774</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>float *</type>
      <name>right</name>
      <anchorfile>classArts_1_1KDataRequest__skel.html</anchorfile>
      <anchor>c2a49179d8f25eb60d2984df5cce155a</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest</name>
    <filename>classArts_1_1KDataRequest.html</filename>
    <member kind="typedef">
      <type>KDataRequest_base</type>
      <name>_base_class</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>d06b582693cc5e8dd9e1ec4bbd58078c</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>55f8db9da6d91e1079fd10215518c99d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>61842e8e4ad4f365330e393a08accbf3</anchor>
      <arglist>(const Arts::SubClass &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>8772e065bfe5dffedee724fadc0e1e80</anchor>
      <arglist>(const Arts::Reference &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>919616fe8546b7f89adf238528c730a6</anchor>
      <arglist>(const Arts::DynamicCast &amp;c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>07a695b0f2fe2295dbca04ff03af8540</anchor>
      <arglist>(const KDataRequest &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>89651e86d90e219dc06561cd6dbe5df4</anchor>
      <arglist>(Arts::Object::Pool &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>KDataRequest &amp;</type>
      <name>operator=</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>8221b311624211f05dd795b32dba2137</anchor>
      <arglist>(const KDataRequest &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator Arts::SynthModule</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>3c963e567fa71f3d2083eb2e3d6d78d9</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KDataRequest_base *</type>
      <name>_base</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>194d721c18a622058632941ec1ba1ea3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::AutoSuspendState</type>
      <name>autoSuspend</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>c2fac47ad29c4a5cc055bdd66d2686a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>87c21072950b6107b5cbd9126fb29d0b</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>6f77508e3318996575d0a50e528d3c36</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>954436d8c7af08b3cb1e0b819332e378</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>503ecf0656731305977512b2db68b8a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>7fdc9dd1ab186ed583bc007fe38b8a42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>8b5f2474184c08d07b688d81260006fd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest</type>
      <name>null</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>ccc5108c5a51e5f40f3a04685addfd34</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KDataRequest</type>
      <name>_from_base</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>41a0e58b62e5b8be8f7cc399b71bc151</anchor>
      <arglist>(KDataRequest_base *b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KDataRequest</name>
      <anchorfile>classArts_1_1KDataRequest.html</anchorfile>
      <anchor>e342aafa322963b6232819e54260d65e</anchor>
      <arglist>(KDataRequest_base *b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOTestSlow_base</name>
    <filename>classArts_1_1KIOTestSlow__base.html</filename>
    <member kind="function">
      <type>KIOTestSlow_base *</type>
      <name>_copy</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>2ab21e70e40f33af3537389e2cdbb716</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsIn</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>7a137cb877a475d5305be796b4411058</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual std::vector&lt; std::string &gt;</type>
      <name>_defaultPortsOut</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>4c80f81cfd128631f26e52eb8b8afcae</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>void *</type>
      <name>_cast</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>784d4ebf771b2e6e1707523c18190cd4</anchor>
      <arglist>(unsigned long iid)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual Arts::InputStream</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>f336a25c98dc18c3ed4a2b86f283eab3</anchor>
      <arglist>()=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>293dd4c3ccceefb25b6bf8ab8cace7c3</anchor>
      <arglist>(Arts::InputStream newValue)=0</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow_base *</type>
      <name>_create</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>2274169361a33f4177a39eae394abff6</anchor>
      <arglist>(const std::string &amp;subClass=&quot;Arts::KIOTestSlow&quot;)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow_base *</type>
      <name>_fromString</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>f3afaa557d18283b8fd84d3d0850297b</anchor>
      <arglist>(const std::string &amp;objectref)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow_base *</type>
      <name>_fromReference</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>88eb594a66ab50830a327c8dc1145826</anchor>
      <arglist>(Arts::ObjectReference ref, bool needcopy)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow_base *</type>
      <name>_fromDynamicCast</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>1eccf5362804664a2173e106f6075aae</anchor>
      <arglist>(const Arts::Object &amp;object)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static unsigned long</type>
      <name>_IID</name>
      <anchorfile>classArts_1_1KIOTestSlow__base.html</anchorfile>
      <anchor>ae005511a632e7fd1ec1ecb663b138b4</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOTestSlow_stub</name>
    <filename>classArts_1_1KIOTestSlow__stub.html</filename>
    <base virtualness="virtual">Arts::KIOTestSlow_base</base>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow_stub</name>
      <anchorfile>classArts_1_1KIOTestSlow__stub.html</anchorfile>
      <anchor>52d8d43dbdc622421c7c2d14d2ed58a5</anchor>
      <arglist>(Arts::Connection *connection, long objectID)</arglist>
    </member>
    <member kind="function">
      <type>Arts::InputStream</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow__stub.html</anchorfile>
      <anchor>2a0fd2109b07b706966378f3c95678cc</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow__stub.html</anchorfile>
      <anchor>8d134c9b6aff9ffef0d76d96affce8bf</anchor>
      <arglist>(Arts::InputStream newValue)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KIOTestSlow_stub</name>
      <anchorfile>classArts_1_1KIOTestSlow__stub.html</anchorfile>
      <anchor>25062d1b5410e86c6a9583b378528b17</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOTestSlow_skel</name>
    <filename>classArts_1_1KIOTestSlow__skel.html</filename>
    <base virtualness="virtual">Arts::KIOTestSlow_base</base>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow_skel</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>c5cf692db6457810c9ba609221541a98</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>std::string</type>
      <name>_interfaceName</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>177440dac16070fcfa55763ea53012bf</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>_isCompatibleWith</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>9293730bb0fcd7e0f753f3b1f92810f3</anchor>
      <arglist>(const std::string &amp;interfacename)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>_buildMethodTable</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>a26cca65a6f36ac95dcf3d9fbbc7e66d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>dispatch</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>6bd01f0fefe4da1e3880305c7d47b2ed</anchor>
      <arglist>(Arts::Buffer *request, Arts::Buffer *result, long methodID)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>notify</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>b10e033fb650675b1f4d1dc83b77959f</anchor>
      <arglist>(const Arts::Notification &amp;notification)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static std::string</type>
      <name>_interfaceNameSkel</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>7dda23135d977395c3cbf5c732caf8b3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>process_data</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>02ed7986798646f17c4881d3c4493eeb</anchor>
      <arglist>(Arts::DataPacket&lt; Arts::mcopbyte &gt; *)=0</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Arts::ByteAsyncStream</type>
      <name>data</name>
      <anchorfile>classArts_1_1KIOTestSlow__skel.html</anchorfile>
      <anchor>2d4fb9a33bb3ea1b5edbf6d12b809e4b</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOTestSlow</name>
    <filename>classArts_1_1KIOTestSlow.html</filename>
    <member kind="typedef">
      <type>KIOTestSlow_base</type>
      <name>_base_class</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>0eb5f4506a94899ef55025af7a6629d1</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>02773cc802e713eff8a00dd93c279850</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>22a7d539ce0c2c184cf493e9bbdc7806</anchor>
      <arglist>(const Arts::SubClass &amp;s)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>158deeb19238e27fa069103afd163d3a</anchor>
      <arglist>(const Arts::Reference &amp;r)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>e5ca7e7147d553982862ddd3f5a7d29e</anchor>
      <arglist>(const Arts::DynamicCast &amp;c)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>3221e2104d0f3ff38e4842f161c2ba31</anchor>
      <arglist>(const KIOTestSlow &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>cdb73a485821037a92549665eb26d20e</anchor>
      <arglist>(Arts::Object::Pool &amp;p)</arglist>
    </member>
    <member kind="function">
      <type>KIOTestSlow &amp;</type>
      <name>operator=</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>afe3bc7434619a74b7a1033339bfa1fb</anchor>
      <arglist>(const KIOTestSlow &amp;target)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator Arts::SynthModule</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>c75b3712a8c6365d819f832c0daf1028</anchor>
      <arglist>() const</arglist>
    </member>
    <member kind="function">
      <type>KIOTestSlow_base *</type>
      <name>_base</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>b4f3762686b0a9509ce1a94b822263c5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::AutoSuspendState</type>
      <name>autoSuspend</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>84b86868d2a886dc91c45d8a7dd43209</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>start</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>b834993ab35340559511c92632c340de</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stop</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>d51655f1fb581d556c940dbf47443a57</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>3ba4b2d95894e5212699d3ca3cd35166</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>40f86984fbdb7f34b30b575e98f656e4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>26e155bcad6d9ae2d1db9423b0fd2063</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::InputStream</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>8c1ee29bec8b58d91412e10eed261a09</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>inputStream</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>5ac2922282c04d9961bbf06d866fdda7</anchor>
      <arglist>(Arts::InputStream _newValue)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow</type>
      <name>null</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>6530032ddcbeee5e2611ee4bfc9d69c3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KIOTestSlow</type>
      <name>_from_base</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>5c142138861162fd4efbe11a6d04fcd4</anchor>
      <arglist>(KIOTestSlow_base *b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type></type>
      <name>KIOTestSlow</name>
      <anchorfile>classArts_1_1KIOTestSlow.html</anchorfile>
      <anchor>8c2aa4301c9333c13158180dad50aac6</anchor>
      <arglist>(KIOTestSlow_base *b)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KDataRequest_impl</name>
    <filename>classArts_1_1KDataRequest__impl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">Arts::KDataRequest_skel</base>
    <member kind="signal">
      <type>void</type>
      <name>newData</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>3812a468a36b450d870670b8a1b848b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockSize</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>19f92b263acd0997f0b1e270dbc77a6e</anchor>
      <arglist>(long blockSize)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>newBlockPointer</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>ef9a155d28c513232bab81d470db81b2</anchor>
      <arglist>(long blockPointer)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KDataRequest_impl</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>d5214f41572115eb3c0e9fb06bb118e8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KDataRequest_impl</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>1206d4db0ff79d6400d2f92edf68d876</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamInit</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>7dd64974047039e416e3ae9bdd052d17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>d3048a7c96b6ed9b447eeaddf603e263</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>calculateBlock</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>52779a29cbf2e20af7b40bda034de601</anchor>
      <arglist>(unsigned long samples)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>goOn</name>
      <anchorfile>classArts_1_1KDataRequest__impl.html</anchorfile>
      <anchor>aae0e8d178038990994d9441103f45d5</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>Arts::KIOInputStream_impl</name>
    <filename>classArts_1_1KIOInputStream__impl.html</filename>
    <base>QObject</base>
    <base virtualness="virtual">Arts::KIOInputStream_skel</base>
    <member kind="signal">
      <type>void</type>
      <name>mimeTypeFound</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>38699a63f27faa296cdc06f767ad80c2</anchor>
      <arglist>(const QString &amp;mimetype)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KIOInputStream_impl</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>5711b52402136190783cce3d7c206abd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KIOInputStream_impl</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>f55586922f573c91eb250d4bef742f73</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamStart</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>de6ce11a77094e19f1fd4ec27b8f4a3a</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>streamEnd</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>9fdcb592983aa89a3b9ca6555fec6219</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>eof</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>b0dba021b2252760fa5481cb1afc7ac9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>seekOk</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>c3e148cba0f4e02cb9dbd217549294af</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>size</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>1263bf10abd84df5ab317ce0903e8a78</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>seek</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>b12f6967bcefdd9cc29ecd65cf38c5ed</anchor>
      <arglist>(long)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>openURL</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>7eccb8e37bfb04843f0c1165634a81fb</anchor>
      <arglist>(const std::string &amp;url)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>processQueue</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>0ec0f8c80ba6312684022a37ade6d1f0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>request_outdata</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>bf153d6c9434b0c8fb1e45633a7f060f</anchor>
      <arglist>(DataPacket&lt; mcopbyte &gt; *packet)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>1eea3bd2e1bed7884b23895c31a54765</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bufferPackets</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>a1857afc7c8c82b804af767284a956ed</anchor>
      <arglist>(long i)</arglist>
    </member>
    <member kind="function">
      <type>long</type>
      <name>packetSize</name>
      <anchorfile>classArts_1_1KIOInputStream__impl.html</anchorfile>
      <anchor>93efe0d9375c498c080d44423bc9fd39</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObject</name>
    <filename>classKDE_1_1PlayObject.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>c3ca2ec21f0485f0e3f34fe80ed15bd1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObject</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>e35f1df6680d678d8fa064b6b5880a3f</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::PlayObject</type>
      <name>object</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>ecf5775aaf6858ef57708d673bfb5403</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNull</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>456b96d58ab582edee42c596f09b431e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stream</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a954829a7d0a82187cb8b0ca6ca56c42</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>play</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>eb541db7b499c0d9672137879eb38717</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>seek</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>10494541901aedc94748f447ee5232ca</anchor>
      <arglist>(Arts::poTime newTime)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>9df87f5ad9925634efba5acd5e25eb65</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>halt</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>526594dac59681c43b6fa8aeb57d605e</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>description</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>a16f15a989d468f14faa659afd9add41</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>currentTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>4b6902ac6d910711914c0d778d188932</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poTime</type>
      <name>overallTime</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>1b4b184f6c6d97f20bdac2af377905c4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poCapabilities</type>
      <name>capabilities</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>e22556e060e861191a1130913021420d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>mediaName</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>e369a56ec5040ee47ed1131f53968e17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Arts::poState</type>
      <name>state</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>e93284f77ea7cd574477f90411536d9d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="friend">
      <type>friend class</type>
      <name>KDE::PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObject.html</anchorfile>
      <anchor>8a89fb5cc31f74c56c5b73defb3e4da1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectCreator</name>
    <filename>classKDE_1_1PlayObjectCreator.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>playObjectCreated</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>d723dda3b114b00e1d170b3e9db0a8f0</anchor>
      <arglist>(Arts::PlayObject playObject)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectCreator</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>98e6521e51dc3beb24818ce423973834</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObjectCreator</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>73572dddc9915ac9fdcae61d33a06fbd</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>create</name>
      <anchorfile>classKDE_1_1PlayObjectCreator.html</anchorfile>
      <anchor>6e1061a32b10c185023b0ec48a27e643</anchor>
      <arglist>(const KURL &amp;url, bool createBUS, const QObject *receiver, const char *slot)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KDE::PlayObjectFactory</name>
    <filename>classKDE_1_1PlayObjectFactory.html</filename>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>db1f1bb1f4a8f5aef0c33218577dbdd5</anchor>
      <arglist>(Arts::SoundServerV2 server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>61d5f15771904da0812f72022a427acc</anchor>
      <arglist>(KArtsServer *server)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~PlayObjectFactory</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>3e9fa7fab69d5f03ad35f40a9c4b84a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAudioManagerPlay</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>2ff0ca6579b7717c6e3620915afa230e</anchor>
      <arglist>(KAudioManagerPlay *amanplay)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>3d88ff0873b48f216035b897d5980424</anchor>
      <arglist>(const KURL &amp;url, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>KDE::PlayObject *</type>
      <name>createPlayObject</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>7d8bd645c883eb0bd6219fca85f7030b</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;mimetype, bool createBUS)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAllowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>a95793d59d4f63c5e3d1f6f6a10dfe86</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>allowStreaming</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>8ed0b741a5dc87da4503c0c95bcd54e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QStringList</type>
      <name>mimeTypes</name>
      <anchorfile>classKDE_1_1PlayObjectFactory.html</anchorfile>
      <anchor>bd8e1977478fe731dd8bfe3bb489f8dd</anchor>
      <arglist>(void)</arglist>
    </member>
  </compound>
</tagfile>
